%define aurox_ver 10.0
%define rel 1


%define myodbc_version 3.51.06
%define prefix /usr

Name:		MyODBC
Summary:	An ODBC 3.51 driver for MySQL
Group:		Applications/Databases
Version:	%{myodbc_version}
Release: %{aurox_ver}.aur.%{rel}
Copyright:	Public Domain, GPL
Source0:	%{name}-%{version}.tar.gz
URL:		http://www.mysql.com/
BuildRequires:  unixODBC-devel, mysql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

# From the manual
%description
MyODBC is a 32-bit ODBC (2.50) level 0 (with level 1 and level 2 features)
driver for connecting an ODBC-aware application to MySQL. MyODBC works on
Windows 9x/Me/NT/2000/XP and most Unix platforms.

MyODBC 3.51 is an enhanced version of MyODBC 2.50 to meet ODBC 3.5 
specification. The driver is commonly referred to as 'MySQL ODBC 3.51 Driver'.

%prep
%setup -n %{name}-%{version}

#%define ODBC_DM_PATH --with-iodbc=/home/venu/local
%define ODBC_DM_PATH --with-unixODBC=/usr
%define MYSQL_LIBS  /usr/lib/mysql
%define MYSQL_INCLUDES /usr/include/mysql

%build
./configure \
	--prefix=${RPM_BUILD_ROOT}%{prefix} \
  --with-mysql-libs=%{MYSQL_LIBS} \
  --with-mysql-includes=%{MYSQL_INCLUDES} \
  %{ODBC_DM_PATH} \
  --enable-thread-safe \
  --enable-shared=yes \
  --enable-static=yes \
  --without-debug \
  --without-docs
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
make PREFIX=$RPM_BUILD_ROOT install

find ${RPM_BUILD_ROOT}%{prefix} -type f -print | sed "s@^${RPM_BUILD_ROOT}@@g" > myodbc-filelist
find ${RPM_BUILD_ROOT}%{prefix} -type l -print | sed "s@^${RPM_BUILD_ROOT}@@g" >> myodbc-filelist

%files -f myodbc-filelist
%defattr(-,root,root)

%doc INSTALL-BINARY
%doc ChangeLog
%doc odbc.ini
%doc README
%doc RELEASE-NOTES

%changelog
* Tue Jul 20 2004 Aurox Team <aurox@aurox.org> 0:3.51.06-10.0.aur.1
- rebuild for Aurox 10.0
- rebuild for Aurox 9.4

